public class Controller {
	private View view;
	private Model model;
	public Controller(View v, Model m) {
		view = v;
		model = m;
		view.addListener(this);
	}
	public void processar() {
		if (model.getEstado().equals("Desligado")) {
			model.setEstado("Ligado");
		} else {
			model.setEstado("Desligado");
		}
	}
}
